#ifndef MEMORY_MAN_H
#define MEMORY_MAN_H

#include <stdlib.h>

#if !defined(STANDARD_MEMORY_MAN)

/*! \brief Allocates a block of memory */ 
void * allocate(unsigned int size);

/*! \brief Deaalocates a block of memory */
void deallocate(void * block);

/*! \brief Deallocates all blocks currently allocated */
void mem_clear(void);

#else

#define allocate(size)         malloc(size)
#define deallocate(block)      free(block)
#define mem_clear(void)

#endif

#endif
